#ifndef _ADS_H
#define _ADS_H

#include "hashmap.h"

enum ad_type {
    AD_YANDEX,
    AD_GOOGLE
};

enum ad_match_type {
    AD_MATCH_HOST,
    AD_MATCH_URL
};

#define AD_MAX_REFS	12

struct ad_t {
    struct ad_t * next;
    enum ad_type		type;
    enum ad_match_type	match;
    char	* match_str;
    size_t	n_refs;
    char	*refs[AD_MAX_REFS];
};

extern void free_ads( struct ad_t *);
extern char * ad_process_url( const char *, const char *, hashmap_t);
extern void ad_add_rec(const char *, const char *, const char *);

#endif
